> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Card Orders

> The Synctera platform supports the issuance of cards in bulk and can be configured for automatic daily fulfillment or fulfillment at your request.

<Warning>
  ### In order to create bulk orders your card product needs to be configured for bulk issuance.
</Warning>

## Bulk Order Creation Steps

### 1. Create a Bulk Order Configuration

A bulk order configuration provides the shipping instructions for individual bulk orders. Once a bulk order configuration has been set up in the Synctera system, cards can be issued in bulk and will be shipped to the destination specified in the configuration. Fulfillment of the bulk order configuration is based on the bulk issuance policy specified in the configuration.

#### Bulk Issuance Policy

| Bulk Issuance Policy | Description                                                                                                                                                                                                                                                    |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| AUTO                 | Bulk orders configured with an AUTO fulfillment policy will be fulfilled nightly at 9:30pm PST (UTC -8:00). All cards that have been issued with the corresponding bulk order config id prior to the cut-off time will be included in the daily bulk order.    |
| MANUAL               | Bulk orders configured with a MANUAL fulfillment policy will be fulfilled at the request of the integrator. All cards that have been issued with the corresponding bulk order config id prior to the requested fulfillment will be included in the bulk order. |

Call [POST /v1/cards/bulk\_issuance](/v1/reference/createbulkorderconfig) to create a bulk order config.

<CodeGroup>
  ```sh Shell theme={"system"}
    -X POST \
    $baseurl/v1/cards/bulk_issuance \
    -H "Authorization: Bearer $apikey" \
    -H 'Content-Type: application/json' \
    --data-binary '
      {
        "name": "Sample Bulk Order Config",
        "card_product_id": {CARD_PRODUCT_ID},
        "bulk_issuance_policy": "AUTO",
        "shipping": {
          "recipient_name": {
              "first_name": "Jane",
              "last_name": "Smith"
          },
          "address": {
              "address_line_1": "123 Main St",
              "city": "Seattle",
              "state": "WA",
              "postal_code": "98109",
              "country_code": "US"
          },
          "method": "INTERNATIONAL"
        }
      }'
  ```
</CodeGroup>

This will return a response with the created bulk order configuration:

<CodeGroup>
  ```json JSON theme={"system"}
  {
    "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
    "creation_time": "2010-05-06T12:23:34.321Z",
    "name": "Sample Bulk Order Config",
    "card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
    "shipping": {
      "recipient_name": {
        "first_name": "Jane",
        "last_name": "Smith"
      },
      "address": {
              "address_line_1": "123 Main St",
              "city": "Seattle",
              "state": "WA",
              "postal_code": "98109",
              "country_code": "US"
      },
      "is_expedited_fulfillment": false,
      "method": "INTERNATIONAL",
    },
    "bulk_issuance_policy": "AUTO",
    "tenant": "abcdef_ghijkl"
  }
  ```
</CodeGroup>

Note the returned `id` attribute. This is used in future card issuance requests in order to include the card as part of a bulk shipment and in order to fulfill bulk orders configured for `MANUAL` fulfillment.

### 2. Issue Cards

Cards are dynamically added to a bulk order by providing the bulk order configuration `id` in the card issuance request.

Call [POST /v1/cards](/v1/reference/issuecard) to issue a card.

### 3. Fulfill Bulk Order

<Info>
  ### bulk order configurations with an auto policy are automatically fulfilled nightly at 9:30pm PST (UTC -8:00)
</Info>

#### Manual Order Fulfillment

Call [POST /v1/cards/bulk\_issuance](/v1/reference/fulfillbulkorder) to fulfill the bulk order.

<CodeGroup>
  ```sh Shell theme={"system"}
    -X POST \
    $baseurl/v1/cards/bulk_issuance/{$bulk_order_config_id}/fulfill \
    -H "Authorization: Bearer $apikey"
  ```
</CodeGroup>

This will return a `202 Accepted` response. All cards issued with the corresponding bulk order config id since the last fulfillment request will be included in the bulk order.

#### Card Fulfillment

Once a card has been shipped a webhook will be triggered with the updated shipping details. Including a tracking number if available.

To subscribe to the `CARD.UPDATED` webhook refer to the [Webhooks Guide](/docs/webhooks-guide).
